## birdtray 1.4

=== debian/changelog ===
birdtray (1.4-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17 & 18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 09 Dec 2018 08:15:56 -0800

birdtray (1.4-1~bionic) bionic; urgency=medium

  * Version 1.4 released:
    - Added ability to ignore the current unread email count. When selected, the current unread email count is remembered as "new zero", and new unread notifications would only be shown on top of that.
    - Fixed issue with multiple Thunderbird instances starting;
    - Added Qt 5.5 support
    - Fixed multiple issues.

 -- Logix <logix@linuxuprising.com>  Mon, 03 Dec 2018 12:35:22 +0200

birdtray (1.3-1~disco) disco; urgency=medium

  * Version 1.3 released:c
    - Implemented an option to use a different icon when unread messages are present.
    - Redesigned settings dialog.
    - Added Mork parser to get unread emails from MSF files directly, thus enabling using 
      Birdtray for the users who have disabled global search. This is now default option, for 
      those tho prefer the former sqlite one, please switch the parser in the Monitoring tab. 
      This also enabled support for smart folders.
    - Fix the CPU hogging issue by switching to direct blinking without using alpha transition 
      (could be reenabled in advanced settings).
    - Implemented new email message functionality.
    - Added options to automatically hide Thunderbird on start and restart.
    - Added option to automatically restart closed Thunderbird.

 -- Logix <logix@linuxuprising.com>  Mon, 22 Oct 2018 13:40:29 +0200

birdtray (1.1-15-g5062165~bionic1) bionic; urgency=medium

  * First release (from git)

 -- Logix <logix@linuxuprising.com>  Mon, 22 Oct 2018 13:40:29 +0200
