=== debian/control ===
Source: birdtray
Section: utils
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Logix <logix@linuxuprising.com> 
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 11), qt5-default (>= 5.5), libqt5x11extras5-dev (>= 5.5), libsqlite3-dev
Homepage: https://github.com/gyunaev/birdtray

Package: birdtray
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: System tray new mail notification for Thunderbird 60+
 Birdtray is a free system tray notification for new mail 
 for Thunderbird. Its primary platform is Linux/X Windows.
