=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@ 

override_dh_auto_configure:
	cd src && rm -f .qmake.stash && qmake

override_dh_auto_build:
	cd src && make

override_dh_strip:
	dh_strip --no-automatic-dbgsym
	
#override_dh_auto_clean:
#	rm -rf build
