## birdtray 1.5

=== debian/changelog ===
birdtray (1.5-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 22 Jan 2021 10:59:13 +0800

birdtray (1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 16 Feb 2019 23:16:33 +0100

birdtray (1.4-3) unstable; urgency=medium

  * Add epoch to the versioned build-dependency.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 10 Jan 2019 09:47:09 +0100

birdtray (1.4-2) unstable; urgency=medium

  * Introduce a _build_ dependency on thunderbird to drop the package
    on archs where it's not available.  Versioned to handle transition.
    Closes: #917341.
  * Use dh_auto_* for wrangling qmake's build flags.
  * Add a man page.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 10 Jan 2019 04:44:17 +0100

birdtray (1.4-1) unstable; urgency=medium

  * Initial release.  Closes: #916051.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 09 Dec 2018 19:21:40 +0100
