=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/archive\/(\d\S*)\.tar\.gz/birdtray-$1\.tar\.gz/ \
  https://github.com/gyunaev/birdtray/tags .*/archive/(\d\S*)\.tar\.gz
