## birdtray 1.6+ds

=== debian/changelog ===
birdtray (1.6+ds-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 26 Sep 2019 14:58:15 -0700

birdtray (1.6+ds-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 26 Sep 2019 14:50:54 -0700

birdtray (1.6+ds-1) unstable; urgency=medium

  * New upstream release.
  * Let the watch file ignore "RELEASE_" prefix on upstream tag(s?).
  * Repack the tarball to remove NSIS binaries for Windows.

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 22 Jun 2019 20:46:03 +0200
