=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: birdtray
 Section: mail
 Priority: optional
-Maintainer: Adam Borowski <kilobyte@angband.pl>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
 Build-Depends: debhelper (>= 11~),
                libqt5x11extras5-dev,
                libsqlite3-dev,
