=== debian/changelog ===
birdtray (1.7.0+ds-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sun, 29 Dec 2019 08:11:49 -0800

birdtray (1.7.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Build system switched to cmake.
  * B-Dep on qttools5-dev.
  * dh 12.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 04 Dec 2019 05:49:12 +0100
