=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
 XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12),
+               cmake,
                libqt5x11extras5-dev,
                libsqlite3-dev,
                qtbase5-dev,
+               qttools5-dev,
                thunderbird (>= 1:60),
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/gyunaev/birdtray
 Vcs-Git: https://salsa.debian.org/debian/birdtray
 Vcs-Browser: https://salsa.debian.org/debian/birdtray
