=== debian/changelog ===
birdtray (1.8.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * B-Deps: - libsqlite3-dev, + libqt5svg5-dev

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 20 Apr 2020 02:31:15 +0200

birdtray (1.7.0+ds-2) unstable; urgency=medium

  * Fix FTBFS due to missing X11/Xlib-xcb.h

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 03 Feb 2020 05:51:03 +0100
