=== debian/changelog ===
birdtray (1.8.1+ds-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Nov 2020 16:30:11 -0800

birdtray (1.8.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 29 Apr 2020 18:58:04 +0200
