=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: birdtray
 Section: mail
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: debhelper (>= 12),
-               cmake,
+Build-Depends: cmake,
+               debhelper-compat (=12),
+               libqt5svg5-dev,
                libqt5x11extras5-dev,
-               libsqlite3-dev,
+               libx11-xcb-dev,
                qtbase5-dev,
                qttools5-dev,
-               thunderbird (>= 1:60),
-Standards-Version: 4.4.1
+               thunderbird (>= 1:60)
+Standards-Version: 4.5.0
 Homepage: https://github.com/gyunaev/birdtray
 Vcs-Git: https://salsa.debian.org/debian/birdtray
 Vcs-Browser: https://salsa.debian.org/debian/birdtray
