=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,6 @@
 
 %:
 	dh $@
+
 override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym
-	
+	dh_strip --no-automatic-dbgsym
