## birdtray 1.9.0%2Bds

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,3 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
