## birdtray 1.9.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -126,6 +126,9 @@
             src/translations/main_ru.ts
             src/translations/main_pt.ts
             src/translations/main_es.ts
+            src/translations/main_sv.ts
+            src/translations/main_tr.ts
+            src/translations/main_pl.ts
             )
     set(DYN_TRANSLATION_FILES
             src/translations/dynamic_en.ts
@@ -135,6 +138,9 @@
             src/translations/dynamic_ru.ts
             src/translations/dynamic_pt.ts
             src/translations/dynamic_es.ts
+            src/translations/dynamic_sv.ts
+            src/translations/dynamic_tr.ts
+            src/translations/dynamic_pl.ts
             )
 
     set_source_files_properties(${MAIN_TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION
