=== debian/changelog ===
birdtray (1.9.0+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for FTBFS with CMake 4. (Closes: #1112755)

 -- Adrian Bunk <bunk@debian.org>  Sun, 26 Oct 2025 11:23:00 +0200

birdtray (1.9.0+ds-2) unstable; urgency=medium

  * Update the watch file.
  * dh 13.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 30 Sep 2021 20:54:11 +0200

birdtray (1.9.0+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 05 Nov 2020 19:55:22 +0100
