=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: birdtray
 Section: mail
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Adam Borowski <kilobyte@angband.pl>
-Build-Depends: cmake,
-               debhelper-compat (=12),
+Maintainer: Adam Borowski <kilobyte@angband.pl>
+Build-Depends: debhelper-compat (=13),
+               cmake,
+               libqt5x11extras5-dev,
                libqt5svg5-dev,
-               libqt5x11extras5-dev,
                libx11-xcb-dev,
                qtbase5-dev,
                qttools5-dev,
-               thunderbird (>= 1:60)
-Standards-Version: 4.5.0
+               thunderbird (>= 1:60),
+Standards-Version: 4.6.0
 Homepage: https://github.com/gyunaev/birdtray
 Vcs-Git: https://salsa.debian.org/debian/birdtray
 Vcs-Browser: https://salsa.debian.org/debian/birdtray
