=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/archive\/(?:RELEASE_|v|)(\d\S*)\.tar\.gz/birdtray-$1\.tar\.gz/,\
  repack, repacksuffix=+ds, dversionmangle=s/\+ds//" \
  https://github.com/gyunaev/birdtray/tags .*/tags/(?:RELEASE_|v|)(\d\S*)\.tar\.gz
