## birdtray 1.9.0+ds+git20220919

=== CMakeLists.txt ===
--- 
+++ 
@@ -120,6 +120,7 @@
 if(Qt5LinguistTools_FOUND)
     set(MAIN_TRANSLATION_FILES
             src/translations/main_en.ts
+            src/translations/main_fr.ts
             src/translations/main_de.ts
             src/translations/main_nl.ts
             src/translations/main_it.ts
@@ -129,9 +130,12 @@
             src/translations/main_sv.ts
             src/translations/main_tr.ts
             src/translations/main_pl.ts
+            src/translations/main_zh_cn.ts
+            src/translations/main_el.ts
             )
     set(DYN_TRANSLATION_FILES
             src/translations/dynamic_en.ts
+            src/translations/dynamic_fr.ts
             src/translations/dynamic_de.ts
             src/translations/dynamic_nl.ts
             src/translations/dynamic_it.ts
@@ -141,6 +145,8 @@
             src/translations/dynamic_sv.ts
             src/translations/dynamic_tr.ts
             src/translations/dynamic_pl.ts
+            src/translations/dynamic_zh_cn.ts
+            src/translations/dynamic_el.ts
             )
 
     set_source_files_properties(${MAIN_TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION
@@ -233,8 +239,10 @@
     install(FILES src/res/birdtray.svg
             DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps
             RENAME com.ulduzsoft.Birdtray.svg)
-    install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
-            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
+    if(Qt5LinguistTools_FOUND)
+        install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
+                DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
+    endif()
 endif()
 
 if(Qt5LinguistTools_FOUND)
