## birdtray 1.9.0+ds-2+11.0trisquel2

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,16 +20,16 @@
 set(PLATFORM_HEADERS)
 set(EXECUTABLE_OPTIONS)
 
-option(OPT_THUNDERBIRD_CMDLINE "Default Thunderbird startup command-line" [])
-option(OPT_THUNDERBIRD_PROFILE "Default Thunderbird profile path" [])
+option(OPT_THUNDERBIRD_CMDLINE "Default Icedove startup command-line" [])
+option(OPT_THUNDERBIRD_PROFILE "Default Icedove profile path" [])
 
 if(OPT_THUNDERBIRD_CMDLINE)
-    message(STATUS "Setting Thunderbird command-line to ${OPT_THUNDERBIRD_CMDLINE}")
+    message(STATUS "Setting Icedove command-line to ${OPT_THUNDERBIRD_CMDLINE}")
     add_definitions(-DOPT_THUNDERBIRD_CMDLINE="${OPT_THUNDERBIRD_CMDLINE}")
 endif(OPT_THUNDERBIRD_CMDLINE)
 
 if(OPT_THUNDERBIRD_PROFILE)
-    message(STATUS "Setting Thunderbird profile path to ${OPT_THUNDERBIRD_PROFILE}")
+    message(STATUS "Setting Icedove profile path to ${OPT_THUNDERBIRD_PROFILE}")
     add_definitions(-DOPT_THUNDERBIRD_PROFILE="${OPT_THUNDERBIRD_PROFILE}")
 endif(OPT_THUNDERBIRD_PROFILE)
 
@@ -120,7 +120,6 @@
 if(Qt5LinguistTools_FOUND)
     set(MAIN_TRANSLATION_FILES
             src/translations/main_en.ts
-            src/translations/main_fr.ts
             src/translations/main_de.ts
             src/translations/main_nl.ts
             src/translations/main_it.ts
@@ -130,12 +129,9 @@
             src/translations/main_sv.ts
             src/translations/main_tr.ts
             src/translations/main_pl.ts
-            src/translations/main_zh_cn.ts
-            src/translations/main_el.ts
             )
     set(DYN_TRANSLATION_FILES
             src/translations/dynamic_en.ts
-            src/translations/dynamic_fr.ts
             src/translations/dynamic_de.ts
             src/translations/dynamic_nl.ts
             src/translations/dynamic_it.ts
@@ -145,8 +141,6 @@
             src/translations/dynamic_sv.ts
             src/translations/dynamic_tr.ts
             src/translations/dynamic_pl.ts
-            src/translations/dynamic_zh_cn.ts
-            src/translations/dynamic_el.ts
             )
 
     set_source_files_properties(${MAIN_TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION
@@ -239,10 +233,8 @@
     install(FILES src/res/birdtray.svg
             DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps
             RENAME com.ulduzsoft.Birdtray.svg)
-    if(Qt5LinguistTools_FOUND)
-        install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
-                DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
-    endif()
+    install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
+            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
 endif()
 
 if(Qt5LinguistTools_FOUND)
