=== debian/changelog ===
birdtray (1.9.0+ds-2+11.0trisquel2) aramo; urgency=medium

  * Customization for Icedove.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 23 Sep 2022 06:12:13 +0000
