=== debian/control ===
Source: birdtray
Section: mail
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper-compat (=13),
               cmake,
               libqt5x11extras5-dev,
               libqt5svg5-dev,
               libx11-xcb-dev,
               qtbase5-dev,
               qttools5-dev,
               icedove (>= 1:60),
Standards-Version: 4.6.0
Homepage: https://github.com/gyunaev/birdtray
Vcs-Git: https://salsa.debian.org/debian/birdtray
Vcs-Browser: https://salsa.debian.org/debian/birdtray
Rules-Requires-Root: no

Package: birdtray
Architecture: any
Depends: icedove, ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: system tray notifications for Icedove
 Birdtray provides systray notifications for Icedove.  It displays the
 count of unread mail, hides the Icedove window when not in use, and
 restores it on clicking the tray icon.  It also provides a context menu
 with commands such as starting composing a new mail.
 .
 It is a nasty hack -- an external process looking at Icedove's
 insides, it suffers from problems like noticing new mails only after a
 delay, having to restart Icedove just to hide its window, etc --
 you'd want to use an extension like firetray instead -- but, it is
 likely that support for Icedove XUL extensions will be dropped soon,
 possibly by the time you read these words.
