## birdtray 1.11.0+ds

=== debian/changelog ===
birdtray (1.11.0+ds-0.1~mx21+1) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Aug 2023 11:32:11 -0700
