## birdtray 1.11.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,16 +20,16 @@
 set(PLATFORM_HEADERS)
 set(EXECUTABLE_OPTIONS)
 
-option(OPT_THUNDERBIRD_CMDLINE "Default Icedove startup command-line" [])
-option(OPT_THUNDERBIRD_PROFILE "Default Icedove profile path" [])
+option(OPT_THUNDERBIRD_CMDLINE "Default Thunderbird startup command-line" [])
+option(OPT_THUNDERBIRD_PROFILE "Default Thunderbird profile path" [])
 
 if(OPT_THUNDERBIRD_CMDLINE)
-    message(STATUS "Setting Icedove command-line to ${OPT_THUNDERBIRD_CMDLINE}")
+    message(STATUS "Setting Thunderbird command-line to ${OPT_THUNDERBIRD_CMDLINE}")
     add_definitions(-DOPT_THUNDERBIRD_CMDLINE="${OPT_THUNDERBIRD_CMDLINE}")
 endif(OPT_THUNDERBIRD_CMDLINE)
 
 if(OPT_THUNDERBIRD_PROFILE)
-    message(STATUS "Setting Icedove profile path to ${OPT_THUNDERBIRD_PROFILE}")
+    message(STATUS "Setting Thunderbird profile path to ${OPT_THUNDERBIRD_PROFILE}")
     add_definitions(-DOPT_THUNDERBIRD_PROFILE="${OPT_THUNDERBIRD_PROFILE}")
 endif(OPT_THUNDERBIRD_PROFILE)
 
@@ -120,6 +120,7 @@
 if(Qt5LinguistTools_FOUND)
     set(MAIN_TRANSLATION_FILES
             src/translations/main_en.ts
+            src/translations/main_fr.ts
             src/translations/main_de.ts
             src/translations/main_nl.ts
             src/translations/main_it.ts
@@ -129,9 +130,13 @@
             src/translations/main_sv.ts
             src/translations/main_tr.ts
             src/translations/main_pl.ts
+            src/translations/main_zh_cn.ts
+            src/translations/main_el.ts
+            src/translations/main_cs.ts
             )
     set(DYN_TRANSLATION_FILES
             src/translations/dynamic_en.ts
+            src/translations/dynamic_fr.ts
             src/translations/dynamic_de.ts
             src/translations/dynamic_nl.ts
             src/translations/dynamic_it.ts
@@ -141,6 +146,9 @@
             src/translations/dynamic_sv.ts
             src/translations/dynamic_tr.ts
             src/translations/dynamic_pl.ts
+            src/translations/dynamic_zh_cn.ts
+            src/translations/dynamic_el.ts
+            src/translations/dynamic_cs.ts
             )
 
     set_source_files_properties(${MAIN_TRANSLATION_FILES} PROPERTIES OUTPUT_LOCATION
@@ -174,9 +182,11 @@
 option(COMPILER_WARNINGS_AS_ERRORS "Fail the build on compiler warnings" OFF)
 if(COMPILER_WARNINGS_AS_ERRORS)
     if(MSVC)
-        target_compile_options(birdtray_lib PUBLIC /W4 /WX)
+        target_compile_options(birdtray_lib PUBLIC /W4 /WX
+                /wd4996) # We ignore deprecated warnings for now
     else()
-        target_compile_options(birdtray_lib PUBLIC -Wall -Wextra -Wpedantic -Werror)
+        target_compile_options(birdtray_lib PUBLIC -Wall -Wextra -Wpedantic -Werror
+                -Wno-deprecated-declarations) # We ignore deprecated warnings for now
     endif()
 endif()
 
@@ -201,7 +211,11 @@
 
     # Find ssl libraries
     find_package(OpenSSL QUIET)
-    get_filename_component(SSL_PATH ${OPENSSL_SSL_LIBRARY} DIRECTORY)
+    get_filename_component(SSL_LIB_DIR "${OPENSSL_SSL_LIBRARY}" DIRECTORY)
+    # Sometimes, the .lib files are in a lib directory and the .dll files are in the parent directory
+    get_filename_component(SSL_PARENT_DIR "${SSL_LIB_DIR}" DIRECTORY)
+    find_library(SSL_LIB_PATH ssl PATHS "${SSL_LIB_DIR}" "${SSL_PARENT_DIR}")
+    get_filename_component(SSL_PATH "${SSL_LIB_PATH}" DIRECTORY)
     if(SSL_PATH)
         STRING(REGEX REPLACE "/" "\\\\\\\\" SSL_PATH ${SSL_PATH})
     else()
@@ -233,8 +247,10 @@
     install(FILES src/res/birdtray.svg
             DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps
             RENAME com.ulduzsoft.Birdtray.svg)
-    install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
-            DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
+    if(Qt5LinguistTools_FOUND)
+        install(DIRECTORY ${CMAKE_BINARY_DIR}/translations
+                DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/ulduzsoft/birdtray)
+    endif()
 endif()
 
 if(Qt5LinguistTools_FOUND)
