=== debian/changelog ===
birdtray (1.11.4+ds-0.1~mx23) mx; urgency=medium

  * Import new upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 30 Oct 2025 16:06:21 -0700
