=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
 Rules-Requires-Root: no
 
 Package: birdtray
-Architecture: any
+Architecture: amd64 arm64 i386 loong64 mips64el ppc64el ppc64 riscv64
 Depends: thunderbird, ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: system tray notifications for Thunderbird
